# Generated by Django 4.2.13 on 2024-07-06 17:09

from django.db import migrations, models

import users.models.user


class Migration(migrations.Migration):
    dependencies = [
        ("users", "0004_remove_user_at_least_one_login_method_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="user",
            name="username",
            field=models.CharField(
                default="",
                error_messages={"unique": "A user with that username already exists."},
                help_text="Required. 50 characters or fewer. Letters, digits and _ only.",
                max_length=100,
                unique=True,
                validators=[users.models.user.UsernameValidator()],
                verbose_name="username",
            ),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name="follow",
            name="owner",
        ),
        migrations.RemoveField(
            model_name="follow",
            name="target",
        ),
        migrations.RemoveField(
            model_name="mute",
            name="owner",
        ),
        migrations.RemoveField(
            model_name="mute",
            name="target",
        ),
        migrations.RemoveField(
            model_name="user",
            name="following",
        ),
        migrations.RemoveField(
            model_name="user",
            name="local_blocking",
        ),
        migrations.RemoveField(
            model_name="user",
            name="local_following",
        ),
        migrations.RemoveField(
            model_name="user",
            name="local_muting",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_account",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_blocks",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_domain_blocks",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_followers",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_following",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_id",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_last_reachable",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_last_refresh",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_locked",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_mutes",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_refresh_token",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_site",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_token",
        ),
        migrations.RemoveField(
            model_name="user",
            name="mastodon_username",
        ),
        migrations.RemoveField(
            model_name="user",
            name="muting",
        ),
        migrations.RemoveField(
            model_name="user",
            name="pending_email",
        ),
        migrations.RemoveField(
            model_name="user",
            name="read_announcement_index",
        ),
        migrations.RemoveField(
            model_name="user",
            name="rejecting",
        ),
        migrations.AlterField(
            model_name="user",
            name="email",
            field=models.EmailField(
                blank=True, default="", max_length=254, verbose_name="email address"
            ),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name="Block",
        ),
        migrations.DeleteModel(
            name="Follow",
        ),
        migrations.DeleteModel(
            name="Mute",
        ),
    ]
